List Streaming Locators – Media API – MediaKind
List Streaming Locators
post https://app.mk.io/api/v1/projects/:project_name/media/assets/:asset_name/listStreamingLocators
List Streaming Locators for Asset. This API call is a convenience method to retrieve any and all playback configurations, or StreamingLocators, that are associated with this asset.
RBAC Capability Required: ams.asset.create
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| project_name | string | Yes | Name of the project. |
| asset_name | string | Yes | Name of the asset. |
Response
200 Streaming Locators
| Field | Type | Required | Description |
|---|---|---|---|
| streamingLocators | list | Yes | List of Streaming Locators. |
| alternativeMediaId | string | No | The alternative media id of the asset used by this locator. |
| assetName | string | Yes | The name of the asset used by this locator. |
| contentId | string | No | Optional content ID. |
| contentKeys | list | No | The content keys used by this locator. |
| id | string | Yes | The id of the content key. |
| labelReferenceInStreamingPolicy | string | No | The label reference in the streaming policy. |
| policyName | string | No | The name of the policy. |
| tracks | list | No | Not currently supported. The tracks which use this content key. |
| trackSelections | list | Yes | The track selections. |
| operation | object | Yes | The track property comparison operation. |
| property | string | Yes | The track property to compare against. |
| value | string | Yes | The track property value. |
| type | enum | No | Allowed values: CommonEncryptionCenc, CommonEncryptionCbcs, EnvelopeEncryption. |
| defaultContentKeyPolicyName | string | No | The default content key policy name. |
| defaultManifestFilename | string | No | Manifest filename used with streaming endpoints. |
| endTime | string | No | The end time of the streaming locator. |
| filters | list | No | A list of asset or account filters. |
| provisioningState | enum | No | Provisioning state. Values: InProgress, Succeeded, Failed. |
| resourceState | enum | No | Runtime state. Values: Creating, Updating, Deleting, Created, Deleted, Error. |
| startTime | string | No | The start time of the streaming locator. |
| streamingLocatorId | string | No | The streaming locator id. |
| streamingPolicyName | string | Yes | The name of the streaming policy used by this locator. |
| suppressed | boolean | No | Optional configuration for output suppression. |
Errors
400 Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| error | object | Yes | Pertinent information about the error. |
| code | string | Yes | The error code. |
| detail | string | Yes | The error message. |
| extraDetail | map | No | Extra information regarding this error. |
| ref | string | Yes | A reference to the request that caused the error. |
| status | integer | Yes | The HTTP status code. |
401 Unauthorized
Same structure as 400 errors.
403 Forbidden
Same structure as 400 errors.
404 Not Found
Same structure as 400 errors.
429 Too Many Requests
Same structure as 400 errors.
500 Internal Server Error
Same structure as 400 errors.